Bug 429535 (perl-File-Tempdir)

Summary: Review Request: perl-File-Tempdir - This module provide an object interface to tempdir() from File::Temp.
Product: [Fedora] Fedora Reporter: Jorge Bras <jorge>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, kevin, msuchy, notting, rjones
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-01 11:10:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Jorge Bras 2008-01-21 08:09:42 EST
https://bugzilla.redhat.com/show_bug.cgi?id=242651

Spec URL: http://house.konnekt.org/files/software/RPMS/perl-File-Tempdir.spec
SRPM URL:
http://house.konnekt.org/files/software/SRPMS/perl-File-Tempdir-0.02-1.fc8.src.rpm

Description:
This module provide an object interface to tempdir() from File::Temp.
This allow to destroy the temporary directory as soon you don't need 
it anymore using the magic DESTROY()  function automatically call be 
perl when the object is no longer reference.

This package is require for this one
https://bugzilla.redhat.com/show_bug.cgi?id=242651 .

Thanks.
Comment 1 Ralf Corsepius 2008-01-21 09:17:06 EST
some remarks:

* BuildRequires are wrong.

This package does not BR: perl(Test::Pod) nor perl(Test::Pod::Coverage).

All it Build-Requires is perl(ExtUtils::MakeMaker) and perl(Test::More).

* Missing:
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

* The version numbers inside of the %changelog entries are wrong.
(Cf. rpmlint's output).

* Change the License:-entry to meet Fedora conventions (cf. rpmlint's output)
Comment 2 Jorge Bras 2008-01-21 10:43:26 EST
thanks for the comments.

new package build, perl-File-Tempdir-0.02-7.fc8.noarch.rpm .
Comment 3 Richard W.M. Jones 2008-02-28 14:27:19 EST
+ rpmlint is clean on all packages
+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
- package doesn't satisfy packaging guidelines
  Needs to filter requires and provides, see:
  http://fedoraproject.org/wiki/Packaging/Perl
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ %doc includes license
  no separate license file so N/A
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  md5sum is 51f609343908803bbc78774ceb81c431
+ package successfully builds on at least one architecture
  i386
+ ExcludeArch bugs filed
  no ExcludeArch so N/A
+ BuildRequires list all build dependencies
+ %find_lang instead of %{_datadir}/locale/*
  N/A
+ binary RPM with shared library files must call ldconfig in %post and %postun
  N/A
+ does not use Prefix: /usr
+ package owns all directories it creates
  my reading of directory ownership for Perl indicates that the package
  is doing the right thing
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
+ large documentation files should go in -doc subpackage
  documentation isn't large
+ files marked %doc should not affect package
+ header files should be in -devel
  N/A
+ static libraries should be in -static
  N/A
+ packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
  N/A
+ libfoo.so must go in -devel
  N/A
+ -devel must require the fully versioned base
  N/A
+ packages should not contain libtool .la files
  N/A
+ packages containing GUI apps must include %{name}.desktop file
  N/A
+ packages must not own files or directories owned by other packages
  (see above)
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

+ if there is no license file, packager should query upstream
  ==> packager needs to talk to upstream
+ translations of description and summary for non-English languages, if available
? reviewer should build the package in mock
? the package should build into binary RPMs on all supported architectures
? review should test the package functions as described
+ scriptlets should be sane
+ pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

----------

Please look at the Perl packaging guidelines to see if
the above problem needs to be corrected.
Comment 4 Richard W.M. Jones 2008-02-28 15:42:02 EST
OK, turns out that the provides and requires are fine for this package.

APPROVED.
Comment 5 Richard W.M. Jones 2008-04-04 07:19:51 EDT
You need to do a CVS request and continue the new package
process.  Read:

http://fedoraproject.org/wiki/PackageMaintainers/NewPackageProcess

You are currently on step 7.
Comment 6 Jorge Bras 2008-05-13 11:43:21 EDT
wasnt able to change the fedora-cvs flag, should I apply to the fedorabugs group ?

thanks,
./bras
Comment 7 Jorge Bras 2008-05-16 14:55:28 EDT
New Package CVS Request
=======================
Package Name: perl-File-Tempdir
Short Description: This module provides an object interface to tempdir() from
File::Temp.
Owners: jfb
Branches: F-9
InitialCC: jfb
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-05-17 16:27:39 EDT
Jorge: I don't see you in the cvsextras group. Is this your first package? 
Have you been sponsored?

See: http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
Comment 9 Richard W.M. Jones 2008-09-09 09:49:08 EDT
Set NEEDINFO of reporter.
Comment 10 Jorge Bras 2008-12-18 11:49:58 EST
Yes, it's my first packagem and No I havent been sponsored.
Comment 11 Jason Tibbitts 2008-12-18 13:23:35 EST
Wow, that took over half a year.

Unfortunately you didn't initially indicate that you needed a sponsor, so this review was done in error.  I guess it should be returned to the review queue, but I'm not really sure that any of the sponsors are going to want to work with someone who takes seven months to respond.  Do you perhaps have an explanation or something which might assuage their concerns?
Comment 12 Jorge Bras 2008-12-18 15:42:10 EST
You are right.

just to give some explanation:

1) In May I have change job, so I was a bit busy
2) the server I used to build my packages, and other stuff, the disk just died. I had no backups, now I have a RAID5. But it seems I haven't learned enough, right now I'm trying to recover some files from my laptop, the disk isn't that healty
3) I was feeling a bit lost, with all of this process of submitting a package, getting a sponser.. I had read the documentation from the fedoraproject site, but even so

that's it, I have no more arguments.
Comment 13 Miroslav Suchý 2012-12-22 15:02:37 EST
Ping.

Are you still interested in the review? I'm sponsor and can sponsor you.

I will however need updated spec and src.rpm to proceed.
Comment 14 Palle Ravn 2013-03-15 06:33:30 EDT
Do you still want to sponsor this package? And is https://github.com/Perl-Toolchain-Gang/File-Temp the correct source code? I could take over if wanted.
Comment 15 Richard W.M. Jones 2013-03-15 06:36:24 EDT
I'm releasing assignment on this bug, and I strongly suggest
it is closed.